unit seghdr;

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Compress, Segment, ExtCtrls;

type
  TSegHdrForm = class(TForm)
    CloseBtn: TBitBtn;
    Panel1: TPanel;
    Label1: TLabel;
    VerLabel: TLabel;
    Label3: TLabel;
    ArcLabel: TLabel;
    Label5: TLabel;
    CompLabel: TLabel;
    Label7: TLabel;
    DateLabel: TLabel;
    Label9: TLabel;
    SizeLabel: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure EntryPoint( SegHdr: TSegHeader );
  end;

var
  SegHdrForm: TSegHdrForm;

implementation

{$R *.DFM}

{===============================================================}
{===============================================================}
procedure TSegHdrForm.EntryPoint( SegHdr: TSegHeader );
begin
     VerLabel.Caption := IntToStr(SegHdr.Version);
     ArcLabel.Caption := IntToStr(SegHdr.ArcCount);
     case SegHdr.CompMode of
     coLZH:       CompLabel.Caption := 'LZH';
     coRLE:       CompLabel.Caption := 'RLE';
     coCustom:    CompLabel.Caption := 'Custom';
     coNone:      CompLabel.Caption := 'None';
     end;
     DateLabel.Caption := DateTimeToStr(SegHdr.SegDate);
     SizeLabel.Caption := IntToStr(SegHdr.SegSize);
     ShowModal;
end;

end.
